<?php

require_once ("../../config/Cado.php");

require_once("../trabajador/cTrabajador.php");

$oTrabajador = new cTrabajador();





$nom = mb_strtoupper($_POST['txt_trabajador_nom'],'utf-8');

$action = $_POST['hdd_action'];



if($action == 'insertar'){

	$oTrabajador->insertar(

				$nom,

				$_POST['txt_trabajador_ape'],

				$_POST['txt_trabajador_dni'],

				$_POST['txt_trabajador_tel'],

				$_POST['txt_trabajador_corr'],

				$_POST['cmb_trabajador_car'],

				$_POST['txt_trabajador_sue'],

				$_POST['cmb_trabajador_est']

				);

				

	$dts=$oTrabajador->ultimoInsert();

	$dt = mysql_fetch_array($dts);

	$trabid=$dt['last_insert_id()'];

	mysql_free_result($dts);

					

	$cod = rand(0,9999999).$trabid;	

	$oTrabajador->modificar_campo($trabid,'cod',$cod);	

				

	require_once ("../../libreriasphp/phpqrcode/qrlib.php");				

	

	$dir = 'qr/';

	

	$nomfil = $nom.'_'.$_POST['txt_trabajador_ape'].'_'.$_POST['txt_trabajador_dni'].'.png';

	

	if (!file_exists($dir))

        mkdir($dir);

	

	$filename = $dir.$nomfil;

	$tamaño = 10;

	$level = 'L';

	$framSize = 3;

	$contenido = $cod;

	QRcode::png($contenido, $filename, $level, $tamaño, $framSize); 

	

	$oTrabajador->modificar_campo($trabid,'file',$filename);	

	

	$data['msj'] = 'Trabajador Registrado correctamente';

}

elseif ($action == 'editar') {

	$oTrabajador->editar(

				$nom,

				$_POST['txt_trabajador_ape'],

				$_POST['txt_trabajador_dni'],

				$_POST['txt_trabajador_tel'],

				$_POST['txt_trabajador_corr'],

				$_POST['cmb_trabajador_car'],

				$_POST['txt_trabajador_sue'],

				$_POST['cmb_trabajador_est'],

				$_POST['hdd_trabajador_id']

				);

	

	$data['msj'] = 'Trabajador Modificado correctamente';

}

else{

	$oTrabajador->modificar_campo($_POST['hdd_trabajador_id'],'xac','0');

	$data['msj'] = 'Trabajador eliminado correctamente' ;

}





echo json_encode($data);